# $Revision: 1.33 $, $Date: 2008/12/07 20:17:26 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library of Assorted Spiffy Things
Summary(pl.UTF-8):	Biblioteka AST (Assorted Spiffy Things)
Name:		libast
Version:	0.7
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	a9ec3b2da317f35869316e6d9571d296
URL:		http://www.eterm.org/
BuildRequires:	automake
BuildRequires:	imlib2-devel
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibAST is the Library of Assorted Spiffy Things. It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions. It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -l pl.UTF-8
LibAST to biblioteka Assorted Spiffy Things. Zawiera różne podręczne
procedury i zastępniki niektórych dobrych, ale nie przenośnych
funkcji. Aktualnie ma wbudowany system śledzenia pamięci, trochę
pomocy odpluskwiających i parę podobnych narzędzi.

%package devel
Summary:	Library of Assorted Spiffy Things header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AST
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	imlib2-devel
Requires:	pcre-devel

%description devel
Header files and development documentation for libast.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libast.

%package static
Summary:	Libast static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libast
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Libast static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libast.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libast.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc DESIGN
%attr(755,root,root) %{_bindir}/libast-config
%attr(755,root,root) %{_libdir}/libast.so
%{_libdir}/libast.la
%{_includedir}/libast*
%{_aclocaldir}/libast.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libast.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libast.spec,v $
Revision 1.33  2008/12/07 20:17:26  hawk
- release 2

Revision 1.32  2008/06/03 07:23:50  charles
- rm redundant BR XFree86-devel (imlib2-devel deps)

Revision 1.31  2007-08-20 13:34:36  witekfl
- added bcond_without static_libs

Revision 1.30  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.28  2006/02/17 19:11:37  psz
- security rebuild: CVE-2006-0224
- STBR (first build and upgrade libast HEAD)

Revision 1.27  2006/01/28 23:40:03  qboosh
- devel deps

Revision 1.26  2006/01/28 19:01:14  qboosh
- updated to 0.7 (fixes CVE-2006-0224; note: new soname)

Revision 1.25  2004/12/30 17:59:06  charles
- Oops... md5?

Revision 1.24  2004/12/30 17:50:08  charles
- updated to 0.6.1
- removed obsolete am18.patch
- removed redundant freetype1-devel (use freetype-devel <-> XFree86-devel)

Revision 1.23  2004/04/23 06:46:23  blues
- release 6 for AC

Revision 1.22  2004/04/23 06:43:24  blues
- release 5

Revision 1.21  2004/04/02 13:55:44  qboosh
- added am18 patch, release 4

Revision 1.20  2004/01/05 22:18:29  jajcus
- include aclocal file in the package

Revision 1.19  2004/01/05 22:13:13  jajcus
- update config.sub (for AMD64 support)

Revision 1.18  2003/11/23 05:30:40  speedy
- release 2

Revision 1.17  2003/09/01 16:59:26  qboosh
- fixed descriptions

Revision 1.16  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/27 23:31:23  radek
- commented out %%{_autoconf} and used %%configure2_13:
  shared libraries were not installed

Revision 1.13  2002/12/29 17:16:14  mkierus
- updated to 0.5

Revision 1.12  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/14 22:25:08  qboosh
- missing pl translations, release 2

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/09 02:29:50  kloczek
- updated to 0.4.

Revision 1.2  2001/10/03 16:42:52  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.1  2001/08/30 18:30:03  areq
- initial PLD package, STBR
